Log::Dispatch::File::Locked(3)

NAME
Log::Dispatch::File::Locked - Extension to Log::Dispatch::File to facilitate locking

SYNOPSIS
  use Log::Dispatch::File::Locked;

  my $file = Log::Dispatch::File::Locked->new( name      => 'locked_file1',
                                               min_level => 'info',
                                               filename  => 'Somefile.log',
                                             );

  $file->log( level => 'emerg', message => "I've fallen and I can't get up\n" );

DESCRIPTION
This module acts exactly like Log::Dispatch::File except that it obtains an exclusive lock on the file before writing to it.

METHODS
All methods are inherited from Log::Dispatch::File.

AUTHOR
Dave Rolsky, <autarch@urth.org>